@echo off
REM =============================================================
REM File: 		TestWAust.bat
REM Platforms:		Microsoft Windows (32- and 64-bit)
REM Creator: 		IBM Corp. 2007
REM Date: 		20 February 2007
REM Description:	TestWAust.bat executes the java program
REM			DSTTest, to evaluate whether specific dates/times
REM			for Australia/Perth are in DST.
REM =============================================================
REM INTERNATIONAL BUSINESS MACHINES CORPORATION PROVIDES THIS SOFTWARE ON AN
REM "AS IS" BASIS AND IBM DISCLAIMS ALL WARRANTIES, EXPRESS OR IMPLIED,
REM INCLUDING, BUT NOT LIMITED TO, THE WARRANTY OF NON-INFRINGEMENT AND THE
REM IMPLIED WARRANTIES OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.
REM IBM SHALL NOT BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL OR
REM CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OR OPERATION OF THIS SOFTWARE.
REM IBM HAS NO OBLIGATION TO PROVIDE MAINTENANCE, SUPPORT, UPDATES,
REM ENHANCEMENTS OR MODIFICATION TO THE SOFTWARE.
REM =============================================================
setlocal
rem set JAVA_HOME=C:\Program Files\IBM\Java50\jre
if defined JAVA_HOME goto run
:help
echo Must set JAVA_HOME to point to the Java install directory.
goto end
:run
rem set classpath=.\DSTTest.jar
"%JAVA_HOME%\bin\java" -classpath .\DSTTest.jar DSTTest .\waustralia.dates
:end
endlocal		